import olympiad;

size(5cm);

pair B = (0,0), A = (7, 6), C = (10, 0);
pair D = foot(A, B, C), EE = foot(D, A, B), F = foot(D, A, C);

draw(anglemark(D, A, C, 13), blue);
draw(anglemark(D, EE, F, 13), blue);

draw(A--B--C--cycle);
draw(A--D^^D--EE^^D--F);
draw(EE--F);

draw(circumcircle(A, EE, F));

draw(rightanglemark(A, D, B));
draw(rightanglemark(D, EE, A));
draw(rightanglemark(D, F, A));

dot(A); dot(B); dot(C);
dot(D); dot(EE); dot(F);
label("$A$", A, N);
label("$B$", B, S);
label("$C$", C, S);

label("$D$", D, S);
label("$E$", EE, NE);
label("$F$", F, NW);
