import olympiad;

size(4cm);

pair A = (0,0), B = (4, 1), C = (6,6), D = (3,7);

filldraw(A--B--C--D--cycle, blue);
draw(A--B--C--D--cycle);

pair A2 = (B.x, A.y), B2 = (C.x, B.y), C2 = (C.x, D.y), D2 = (A.x, D.y);

currentpen = dotted;
filldraw(A--A2--B--cycle, lightgray);
draw(A--A2--B--cycle);

filldraw(B--B2--C--cycle, lightgray);
draw(B--B2--C--cycle);

filldraw(C--C2--D--cycle, lightgray);
draw(C--C2--D--cycle);

filldraw(D--D2--A--cycle, lightgray);
draw(D--D2--A--cycle);

for(int i=0; i<=6; ++i)
    for(int j=0; j<=7; ++j)
        dot((i, j), linewidth(1));
