import three;

size(3cm);

currentprojection=orthographic((-0.4,-1,0.4), (0, 0, 10));

triple S = (0,0,0), A = (-3, -4, 0), B = (3, 0, 0), C = (0, 0, 2);
triple Q = 5/2.*C, P = 5/3.*B, R = P + Q - S;

draw(S--A^^P--R--Q, 0.7*green);
draw(B--P^^C--S, blue);
draw(B--S^^C--Q, 0.7*red);

draw(B--R--C, dashed);

draw(A--B--C--cycle);

dot("$A$", A); dot("$B$", B); dot("$C$", C);
dot("$S$", S); dot("$P$", P); dot("$Q$", Q); dot("$R$", R, E);

dot(R+(0.5,0.5, 0.5), invisible);
