import olympiad;
import markers;

size(6.5cm);

pair A = (0, 0), B = (1, 0), C = (0.4, 0.5);
pair D = (2*B + 3*C)/5., EE = (4*A + 3*C)/7.;
pair O = extension(A, D, B, EE);
pair F = extension(C, O, A, B);

/*pair K = extension(EE, F, B, B+(EE-A));*/
/*pair H = orthocenter(A, B, C);*/
/*markangle(Label("$\alpha$",Relative(0.5)),n=1,radius=9, C, D, EE);*/
/*markangle(Label("$\alpha$",Relative(0.5)),n=1,radius=9, B, D, K);*/

/*markangle(Label("$\beta$",Relative(0.5), black),n=2,radius=5, A, C, B, p=0.7green+1bp);*/
/*markangle(Label("$\beta$",Relative(0.5), black),n=2,radius=5, K, B, C, p=0.7green+1bp);*/

/*markangle(Label("$\gamma$",Relative(0.5), black),n=3,radius=6, B, A, C, p=orange+1bp);*/
/*markangle(Label("$\gamma$",Relative(0.5), black),n=3,radius=6, F, B, K, p=orange+1bp);*/

/*draw(circumcircle(B, D, F), gray);*/
/*draw(circumcircle(C, EE, D), gray);*/

/*draw(rightanglemark(A, F, C, 12));*/
/*draw(rightanglemark(A, EE, B, 12));*/

/*draw(anglemark(EE,D,H, 18), green);*/
/*draw(anglemark(EE,C,H, 18), green);*/
/*draw(anglemark(H,D,F, 18), green);*/
/*draw(anglemark(H,B,F, 18), green);*/

draw(A--B--C--cycle);
/*draw(A--D^^B--EE^^C--F);*/

draw(A--D^^B--EE^^C--F);

dot(A); dot(B); dot(C);
dot(D); dot(EE); dot(F);
dot(O);
/*dot(H);*/
label("$A$", A, SE);
label("$B$", B, SW);
label("$C$", C, N);

label("$D$", D, S);
label("$E$", EE, W);
label("$F$", F, S);

label("$O$", O, NE);

/*label("$H$", H, SW);*/
