import olympiad;

size(4cm);

pair A = (0,0), B=(5,1), C=(6,6), D=(-2, 7);
pair M = (C+D)/2., N = (D+A)/2., K = (A+B)/2., L = (B+C)/2.;

pair P = C + K - M, R = 2*P - B;

draw(A--B--C--D--cycle);
draw(B--R);

draw(P--K--M--C--cycle, 0.7*red);
draw(A--R--C--D--cycle, 0.7*blue);

draw(C--M, 0.7*(red + blue));

dot("$A$", A, S);
dot("$B$", B, W);
dot("$C$", C);
dot("$D$", D, W);

dot("$K$", K, S);
dot("$L$", L, W);
dot("$M$", M, NE);
dot("$N$", N, W);

dot("$P$", P, S);
dot("$R$", R, S);
