import olympiad;
import markers;

size(6cm);

pair A = dir(195), B = dir(349), C = dir(50);

real r = inradius(A, B, C);
pair I = incenter(A, B, C);

pair D = tangent(C, I, r, 2), EE = tangent(A, I, r, 2), F = tangent(B, I, r, 2);

draw("$x$", EE--A, N, 0.7*green);
draw("$x$", A--F, S, 0.7*green);

draw("$y$", F--B, S, 0.7*blue);
draw("$y$", B--D, E, 0.7*blue);

draw("$z$", EE--C, N, 0.7*red);
draw("$z$", C--D, E, 0.7*red);

draw(circumcircle(A, B, C));
draw(incircle(A, B, C));
draw("$R$", circumcenter(A, B, C)--A, N);

draw("$r$", I--EE, LeftSide);
draw(D--I--F);

dot(circumcenter(A, B, C));
dot("$I$", I, E);

dot("$A$", A, W);
dot("$B$", B, SE);
dot("$C$", C, NE);

dot("$D$", D, NE);
dot("$E$", EE, NW);
dot("$F$", F, S);
