import olympiad;

size(5cm);

pair A= (-2, 0)*I, B= (2, 0)*I, C= (10/11., 16/11.)*I, D= extension(B,
bisectorpoint(A, B, C), A, C);

draw(anglemark(B, A, C, 9, 11), 0.7*blue);
draw(anglemark(C, B, D, 9, 11), 0.7*blue);
draw(anglemark(D, B, A, 9, 11), 0.7*blue);

draw(A--B--C--cycle);
draw(B--D);

dot("$A$", A);
dot("$B$", B);
dot("$C$", C);
dot("$D$", D);
