import olympiad;

size(6cm);

draw(unitcircle);

pair P = (11/6., 0), O = (0,0), Q = tangent(P, O, 1, 1), R = tangent(P, O, 1,2);
pair K = extension(P, O, R, Q), A = expi(22.5/12.*pi), B =
intersectionpoints(A--(3*A-2*P), unitcircle)[0];

draw(P--O^^R--Q);
draw(P--R^^P--Q, dashed);
draw(P--A--B, blue);

draw(circumcircle(B, O, K), red);

dot(P); dot(Q); dot(R); dot(O);
dot(K); dot(A); dot(B);

label("$P$", P, S);
label("$Q$", Q, N);
label("$R$", R, S);

label("$K$", K, NE);
label("$O$", O, NE);

label("$A$", A, S);
label("$B$", B, S);
