import olympiad;

pair A = (0,0), B=(2,1), C=(3,3), D=(0, 6), E=(-2, 5), F=(-2, 3);

size(6cm);

draw(A--B--C--D--E--F--cycle);
draw(A--D^^B--E^^C--F);

dot(A); dot(B); dot(C); dot(D); dot(E); dot(F);

pair X = extension(A,D,B,E);
dot(X);

label("$e$", (A+B)/2., S);
label("$d$", (B+C)/2., W);
label("$c$", (C+D)/2., W);
label("$b$", (D+E)/2., SE);
label("$a$", (E+F)/2., W);
label("$f$", (F+A)/2., W);

label("$x$", (A+X)/2., 1/2*E);
label("$y$", (B+X)/2., 1/2*E);
label("$z$", (C+X)/2., 1/2*N);
label("$1-x$", (D+X)/2., 1/2*W);
label("$1-y$", (E+X)/2., 1/2*W);
label("$1-z$", (F+X)/2., 1/2*S);
