import olympiad;

size(12cm);

path figi(pair middle)
{
    return middle+(-1,3)--middle+(1,3)--middle+(3,
    1)--middle+(3, -3)--middle+(-3, -3)--middle+(-3, 1)--cycle;
}

void draw_figi(pair middle)
{
    filldraw(figi(middle), lightyellow);
}

path figii(pair middle)
{
    return middle+(-1,-3)--middle+(1,-3)--middle+(3,
    -1)--middle+(3, 3)--middle+(-3, 3)--middle+(-3, -1)--cycle;
}

void draw_figii(pair middle)
{
    filldraw(figii(middle), lightgreen);
}

int k = 8;


for(int i=1; i<=k; ++i)
    draw_figi((3 + 6*(i-1), 3));

for(int i=1; i<=k+1; ++i)
    draw_figii((1 + 6*(i-1), 7));

for(int i=1; i<=k; ++i)
    draw(figi((3 + 6*(i-1), 3)), dotted);

draw((0,0)--(0,10)--(6*k,10)--(6*k,0)--cycle);

dot((0,0)); label("$(0,0)$", (0,0), S);
dot((0,10)); label("$(0,5)$", (0,10), N);
dot((6*k,0)); label("$(3\cdot k,0)$", (6*k,0), S);
dot((6*k,10)); label("$(3\cdot k,5)$", (6*k,10), N);

label("Gdy $k=" + (string)k + "$", (3*k,0), S);

